<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-primary">
  <div class="container">
    <div class="container-fluid">
      <a class="navbar-brand" routerLink="/">Dating App</a>

      <ul class="navbar-nav mr-auto">
        <ng-container *ngIf="accountService.currentUser$ | async">
          <li class="nav-item">
            <a class="nav-link" routerLink="/members" routerLinkActive="active">Matches</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" routerLink="/lists" routerLinkActive="active">Lists</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" routerLink="/messages" routerLinkActive="active">Messages</a>
          </li>
          <li *appHasRole="['Admin', 'Moderator']" class="nav-item">
            <a class="nav-link" routerLink="/admin" routerLinkActive="active">Admin</a>
          </li>
        </ng-container>
        <li class="nav-item">
          <a class="nav-link" routerLink="/errors" routerLinkActive="active">Errors</a>
        </li>
      </ul>

      <div class="dropdown" *ngIf="(accountService.currentUser$ | async) as user" dropdown>
        <img src="{{user.photoUrl || './assets/user.png'}}" alt="{{user.username}}">
        <a class="dropdown-toggle text-light ml-2" dropdownToggle>Welcome, {{user.knownAs || user.username | titlecase}}!</a>
        <div class="dropdown-menu mt-3" *dropdownMenu>
          <a class="dropdown-item" routerLink="/member/edit">Edit Profile</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" (click)="logout()">Logout</a>
        </div>
      </div>

      <form *ngIf="(accountService.currentUser$ | async) === null"
            #loginForm="ngForm"
            class="form-inline mt-2 mt-md-0"
            (ngSubmit)="login()"
            autocomplete="off">
        <input
          name="username"
          [(ngModel)]="model.username"
          class="form-control mr-sm-2"
          type="search"
          placeholder="Username">
        <input
          name="password"
          [(ngModel)]="model.password"
          class="form-control mr-sm-2"
          placeholder="Password"
          type="password">
        <button class="btn btn-success my-2 my-sm-0" type="submit">LogIn</button>
      </form>
    </div>
  </div>


</nav>
